.arrow-link a::after {
    content: url(./assets/images/arrow_up.svg);
    width: 14px;
    height: 14px;
    margin-left: 7px;
    vertical-align: middle;
}
.arrow-link-beige a::after {
    content: url(./assets/images/arrow_up_beige.svg);
    width: 14px;
    height: 14px;
    margin-left: 7px;
    vertical-align: middle;
}

/** Block img (left) + text (right) styling
 */
.img-text-block-wrapper .uagb-container-inner-blocks-wrap > .wp-block-uagb-container:nth-child(2) .wp-block-uagb-advanced-heading .uagb-heading-text {
    width: fit-content;
    border-bottom: 1px solid #000;
}
.img-text-block-wrapper .uagb-container-inner-blocks-wrap > .wp-block-uagb-container:nth-child(2) .text-block-wrapper {
    flex: 1;
}
.img-block-wrapper figure,
.img-block-wrapper figure img {
    width: 100%;
    height: 100%;
}

/** Global styling for post grid and carousel post
 */
.post-image-padded:not(:has(.slick-slide)) .uagb-post__inner-wrap .uagb-post__image,
.post-image-padded:has(.slick-slide) .uagb-post__image {
    margin-left: 32px;
    margin-right: 32px;
    margin-top: 32px;
}
.post-image-padded.uagb-post-grid:not(.wp-block-uagb-post-carousel) .uagb-post__inner-wrap .uagb-post__image {
    margin-left: 0 !important;
    margin-right: 0 !important;
    margin-top: 0 !important;
}
.post-cta-arrow .uagb-post__inner-wrap .uagb-post__cta .uagb-text-link::after {
    content: url(./assets/images/arrow_up.svg);
    width: 14px;
    height: 14px;
    margin-left: 7px;
    vertical-align: middle;
}

/** Background alternate colors
 */
.post-item-bg-alternate-even .slick-slide:nth-child(even) .uagb-post__inner-wrap,
.post-item-bg-alternate-even:not(:has(.slick-slide)) .uagb-post__inner-wrap:nth-child(even) {
    background: var(--wp--preset--color--beige);
}
.post-item-bg-alternate-even .slick-slide:nth-child(odd) .uagb-post__inner-wrap,
.post-item-bg-alternate-even:not(:has(.slick-slide)) .uagb-post__inner-wrap:nth-child(odd) {
    background: var(--wp--preset--color--white);
}
.post-item-bg-alternate-odd .slick-slide:nth-child(odd) .uagb-post__inner-wrap,
.post-item-bg-alternate-odd:not(:has(.slick-slide)) .uagb-post__inner-wrap:nth-child(odd) {
    background: var(--wp--preset--color--beige);
}
.post-item-bg-alternate-odd .slick-slide:nth-child(even) .uagb-post__inner-wrap,
.post-item-bg-alternate-odd:not(:has(.slick-slide)) .uagb-post__inner-wrap:nth-child(even) {
    background: var(--wp--preset--color--white);
}

.post-item-bg-checkerboard .uagb-post__inner-wrap {
    background: var(--wp--preset--color--beige) !important;
}
.post-item-bg-checkerboard .uagb-post__inner-wrap:nth-child(8n + 1),
.post-item-bg-checkerboard .uagb-post__inner-wrap:nth-child(8n + 3),
.post-item-bg-checkerboard .uagb-post__inner-wrap:nth-child(8n + 6),
.post-item-bg-checkerboard .uagb-post__inner-wrap:nth-child(8n + 8) {
    background: var(--wp--preset--color--white) !important;
}

.bg-checkerboard > .wp-block-uagb-container {
    background: var(--wp--preset--color--beige) !important;
}
.bg-checkerboard > .wp-block-uagb-container:nth-child(8n + 1),
.bg-checkerboard > .wp-block-uagb-container:nth-child(8n + 3),
.bg-checkerboard > .wp-block-uagb-container:nth-child(8n + 6),
.bg-checkerboard > .wp-block-uagb-container:nth-child(8n + 8) {
    background: var(--wp--preset--color--white) !important;
}

.bg-checkerboard-invert > .wp-block-uagb-container {
    background: var(--wp--preset--color--white) !important;
}
.bg-checkerboard-invert > .wp-block-uagb-container:nth-child(8n + 1),
.bg-checkerboard-invert > .wp-block-uagb-container:nth-child(8n + 3),
.bg-checkerboard-invert > .wp-block-uagb-container:nth-child(8n + 6),
.bg-checkerboard-invert > .wp-block-uagb-container:nth-child(8n + 8) {
    background: var(--wp--preset--color--beige) !important;
}

.bg-checkerboard-invert > .uagb-loop-post {
    background: var(--wp--preset--color--white) !important;
}
.bg-checkerboard-invert > .uagb-loop-post:nth-child(8n + 1),
.bg-checkerboard-invert > .uagb-loop-post:nth-child(8n + 3),
.bg-checkerboard-invert > .uagb-loop-post:nth-child(8n + 6),
.bg-checkerboard-invert > .uagb-loop-post:nth-child(8n + 8) {
    background: var(--wp--preset--color--beige) !important;
}

.bg-checkerboard-invert-3 > .uagb-loop-post,
.bg-checkerboard-invert-3 > .wp-block-uagb-container:nth-child(8n + 1) {
    background: var(--wp--preset--color--white) !important;
}
.bg-checkerboard-invert-3 > .uagb-loop-post:nth-child(8n + 1),
.bg-checkerboard-invert-3 > .wp-block-uagb-container:nth-child(8n + 1),
.bg-checkerboard-invert-3 > .uagb-loop-post:nth-child(8n + 3),
.bg-checkerboard-invert-3 > .wp-block-uagb-container:nth-child(8n + 3),
.bg-checkerboard-invert-3 > .uagb-loop-post:nth-child(8n + 5),
.bg-checkerboard-invert-3 > .wp-block-uagb-container:nth-child(8n + 5),
.bg-checkerboard-invert-3 > .uagb-loop-post:nth-child(8n + 7),
.bg-checkerboard-invert-3 > .wp-block-uagb-container:nth-child(8n + 7) {
    background: var(--wp--preset--color--beige) !important;
}

.bg-alternate-even > .uagb-swiper > .swiper-wrapper > .swiper-slide:nth-child(even) {
    background: var(--wp--preset--color--beige);
}
.bg-alternate-even > .uagb-swiper > .swiper-wrapper > .swiper-slide:nth-child(odd) {
    background: var(--wp--preset--color--white);
}
.bg-alternate-odd > .uagb-swiper > .swiper-wrapper > .swiper-slide:nth-child(odd) {
    background: var(--wp--preset--color--beige);
}
.bg-alternate-odd > .uagb-swiper > .swiper-wrapper > .swiper-slide:nth-child(even) {
    background: var(--wp--preset--color--white);
}

/** Custom post carousel/slider
 */
.custom-slider.uagb-slick-carousel {
    padding: 0;
}
.custom-slider.uagb-slick-carousel button.slick-arrow {
    left: unset !important;
    top: -32px;
    transform: translateY(-100%);
    width: 64px;
    height: 64px;
}
.custom-slider.uagb-slick-carousel button.slick-arrow svg {
    display: none;
}
.custom-slider.uagb-slick-carousel button.slick-next {
    right: calc(32px) !important;
    border-left-width: 0;
}
.custom-slider.uagb-slick-carousel button.slick-next:after{
    content: url(../../themes/alfredhotels/assets/images/slider-next.svg);
}
.custom-slider.uagb-slick-carousel button.slick-prev {
    right: calc(64px + 32px) !important;
}
.custom-slider.uagb-slick-carousel button.slick-prev:after{
    content: url(../../themes/alfredhotels/assets/images/slider-prev.svg);
}

.custom-slider.uagb-slick-carousel .slick-list {
    height: auto !important;
}
.custom-slider.uagb-slick-carousel .slick-track {
    height: 100%;
}
.custom-slider.uagb-slick-carousel .slick-slide > div {
    height: 100% !important;
}
.custom-slider.uagb-slick-carousel .slick-slide > div > .uagb-post__inner-wrap {
    margin-bottom: 0 !important;
    height: 100% !important;
    display: flex !important;
    flex-direction: column;
}
.custom-slider.uagb-slick-carousel .slick-slide > div > .uagb-post__inner-wrap .uagb-post__image img {
    aspect-ratio: 296/359;
    object-fit: cover;
}
.custom-slider.uagb-slick-carousel .slick-slide > div > .uagb-post__inner-wrap .uagb-post__excerpt {
    flex: 1;
}


.custom-slider .uagb-post__inner-wrap {
    margin-bottom: 0 !important;
}
.custom-slider .uagb-post__inner-wrap .uagb-post-grid-byline {
    display: none;
}
.custom-slider .uagb-post__inner-wrap .uagb-post__cta a {
    padding: 0;
}

/** Custom post grid
 */
.custom-post-grid .uagb-post__inner-wrap .uagb-post__image img {
    aspect-ratio: 296/478;
    object-fit: cover;
}

.slider-img-478 .swiper-slide .swiper-content .wp-block-image {
    flex-basis: 478px;
}

/** Swiper carousel arrow
 */
.uagb-slider-container.swiper-chambres div[class^="swiper-button"] {
    display: flex !important;
}
.uagb-slider-container:not(.swiper-chambres) div[class^="swiper-button"] {
    top: 0 !important;
    transform: translateY(-100%);
}
.uagb-slider-container:not(.swiper-chambres) .swiper-button-prev {
    left: unset !important;
    right: calc(32px + 46px) !important;
}
.uagb-slider-container:not(.swiper-chambres) .swiper-button-next {
    left: unset !important;
    right: calc(32px) !important;
}
.uagb-slider-container.custom-slider .swiper-wrapper {
    align-items: stretch !important;
}
.uagb-slider-container.custom-slider .swiper-wrapper .swiper-slide {
    height: auto !important;
}
.uagb-slider-container.custom-slider .swiper-wrapper .swiper-slide .swiper-content {
    height: 100% !important;
}

/** Navigation
 */
header .wp-block-group .wp-block-columns {
    position: relative;
}
header ul.wp-block-navigation > li:not(:last-of-type):after {
    content: '/';
    margin-left: 10px;
    margin-right: 10px;
}
header .wp-block-group .wp-block-create-block-ah-booking-engine {
    margin-left: 0 !important;
}
header .wp-block-group:has(> .wp-block-create-block-ah-booking-engine):has(> .wp-block-buttons) .wp-block-create-block-ah-booking-engine:before {
    content: '/';
    margin-left: 10px;
    margin-right: 10px;
}


/** Liens text link
 */
.uagb-text-link {
    font-family: var(--wp--preset--font-family--abc-diatype-mono);
}

/** Global style image fill container
 */
.img-fill-container > img {
    height: 100%;
    width: 100%;
    object-fit: cover;
}

/** Hotels Equipement contenu list
 */
.equipement-contenu-list {
    padding-left: 15px;
    list-style-position: outside;
}

/** Button link arrow up
 */
.button-link-arrow-up .uagb-button__wrapper .uagb-button__link {
    font-family: var(--wp--preset--font-family--abc-diatype-mono);
    display: flex;
}
.button-link-arrow-up .uagb-button__wrapper .uagb-button__link:after {
    content: url(./assets/images/arrow_up.svg);
    margin-left: 7px;
    display: flex;
    align-items: center;
}
.button-link-arrow-up.button-link-arrow-up-beige .uagb-button__wrapper .uagb-button__link:after {
    content: url(./assets/images/arrow_up_beige.svg);
}

/** Newsletter & contact forms
 */
.contact-form.wpforms-container-full:not(:empty){
    margin-bottom: 0px;
}
.contact-form .wpforms-field-container .wpforms-field {
    border-bottom: 1px solid black;
}
.contact-form .wpforms-field-container .wpforms-field input,
.contact-form .wpforms-field-container .wpforms-field textarea {
    font-family: var(--wp--preset--font-family--abc-diatype);
    font-size: 18px;
    font-weight: 700;
    background: none;
    border: none;
    width: 100% !important;
    max-width: unset;
    padding: 0;
    color: #000;
}
.contact-form .wpforms-field-container .wpforms-field input::placeholder,
.contact-form .wpforms-field-container .wpforms-field textarea::placeholder {
    opacity: 1;
    color: #000;
}
.contact-form .wpforms-field-container .wpforms-field input:focus,
.contact-form .wpforms-field-container .wpforms-field textarea:focus,
.contact-form .wpforms-field-container .wpforms-field input:focus:invalid,
.contact-form .wpforms-field-container .wpforms-field textarea:focus:invalid {
    border: none;
    box-shadow: none;
    color: #000;
}
.contact-form.wpforms-container-full.wpforms-container .wpforms-submit-container {
    margin-top: 64px;
}
.contact-form.wpforms-container-full.wpforms-container .wpforms-submit-container .wpforms-submit {
    text-transform: uppercase;
    font-weight: 400;
    font-family: var(--wp--preset--font-family--abc-diatype-mono);
    color: var(--wp--preset--color--beige);
    border-radius: 0;
    height: unset;
    padding: 17px 25px;
}
.contact-form.wpforms-container-full.wpforms-container .wpforms-submit-container .wpforms-submit:after {
    content: '';
    background-image: url(assets/images/arrow_up_beige.svg);
    background-size: cover;
    width: 17px;
    height: 17px;
    object-fit: cover;
    display: inline-flex;
    vertical-align: middle;
    margin-left: 7px;
    position: unset;
}

.contact-form.contact-form-popup .wpforms-field-container .wpforms-field.wpforms-field-email {
    padding-top: 0;
}
.contact-form.contact-form-popup .wpforms-field-container .wpforms-field.wpforms-field-email input {
    height: auto;
}
.contact-form.contact-form-popup .wpforms-field-container .wpforms-field.wpforms-field-checkbox {
    border-bottom: 0;
    padding-top: 32px;
}
.contact-form.contact-form-popup .wpforms-field-container .wpforms-field.wpforms-field-checkbox label {
    font-size: 18px;
    font-weight: 300;
    color: black;
}
.contact-form.contact-form-popup .wpforms-field-container .wpforms-field.wpforms-field-checkbox input[type="checkbox"] {
    flex: 0;
}
.contact-form.contact-form-popup .wpforms-field-container .wpforms-field.wpforms-field-checkbox input[type="checkbox"]::before {
    border-radius: 0;
}

.newsletter-form-footer.wpforms-container .wpforms-form {
    display: flex;
}
.newsletter-form-footer.wpforms-container .wpforms-form .wpforms-field-container {
    display: flex;
    justify-content: flex-start;
    align-items: flex-end;
    flex: 1;
}
.newsletter-form-footer.wpforms-container .wpforms-form .wpforms-field-container .wpforms-field {
    padding-top: 0;
    padding-bottom: 8px;
    flex: 1;
}
.newsletter-form-footer.wpforms-container .wpforms-form .wpforms-field-container .wpforms-field input {
    height: auto;
}
.newsletter-form-footer.contact-form.wpforms-container .wpforms-submit-container {
    margin-top: 0;
    margin-left: 32px;
}

/** Idees activités
 */
.slide-activite-description {
    height: 100%;
}

/** Chambres block
 */
.swiper-chambres.uagb-slider-container .uagb-swiper .swiper-wrapper {
    align-items: stretch;
}
.swiper-chambres.uagb-slider-container .uagb-swiper .swiper-wrapper .swiper-slide {
    height: auto;
}
.swiper-chambres.uagb-slider-container .uagb-swiper .swiper-wrapper .swiper-slide .swiper-content {
    height: 100%;
}
.swiper-chambres.uagb-slider-container .uagb-swiper .swiper-wrapper .swiper-slide .swiper-content .chambre-wrapper {
    height: 100%;
}
.swiper-chambres.uagb-slider-container .uagb-swiper .swiper-wrapper .swiper-slide .swiper-content .chambre-wrapper .chambre-images .chambre-img img {
    height: 400px;
    object-fit: cover;
}
.modal-chambres .uagb-modal-button-link {
    font-family: var(--wp--preset--font-family--abc-diatype-mono);
}
.modal-chambres .uagb-modal-button-link:after {
    content: url(./assets/images/arrow_up_beige.svg);
    margin-left: 7px;
    display: flex;
}

/** Image full width & adaptive height for covering
 */
.image-wf-ha-cover img {
    width: 100% !important;
    height: auto !important;
    object-fit: cover !important;
}

@media only screen and (max-width: 767px) {
    .header-container > .wp-block-group {
        padding-left: 0px !important;
        padding-right: 0px !important;
    }
    .header-container .wp-block-group .wp-block-columns {
        flex-wrap: nowrap !important;
        flex-direction: row-reverse;
        justify-content: flex-start !important;
        align-items: center !important;
        padding: 24px !important;
    }
    .header-container .wp-block-group .wp-block-columns .wp-block-column.uag-hide-mob {
        display: none;
    }
    .header-container .wp-block-group .wp-block-columns .wp-block-column .wp-block-site-title {
        text-align: left;
    }
    .header-container .wp-block-group .wp-block-columns .wp-block-column .wp-block-site-title a {
        font-size: 20px;
    }
    .custom-slider.uagb-slick-carousel button.slick-arrow {
        width: 48px;
        height: 48px;
    }
    .custom-slider.uagb-slick-carousel button.slick-prev {
        right: calc(48px + 32px) !important;
    }
    .custom-slider .slick-list {
        padding-right: 28%;
    }
    .custom-slider.uagb-slick-carousel .slick-slide > div > .uagb-post__inner-wrap .uagb-post__image img {
        aspect-ratio: 310/453;
    }
    .custom-slider.uagb-slick-carousel.slider-hotels .slick-slide > div > .uagb-post__inner-wrap .uagb-post__image img {
        aspect-ratio: 310/310;
    }
    .post-image-padded.uagb-post-grid .uagb-post__inner-wrap .uagb-post__image {
        margin-left: 20px !important;
        margin-right: 20px !important;
        margin-top: 20px !important;
    }

    /** Swiper image gallery
     */
    .swiper-image-gallery {
        padding: 24px !important;
    }
    .swiper-image-gallery .uagb-swiper {
        width: calc(100% - 48px);
    }
    .swiper-image-gallery .swiper-wrapper .swiper-slide .swiper-content .wp-block-uagb-image .wp-block-uagb-image__figure,
    .swiper-image-gallery .swiper-wrapper .swiper-slide .swiper-content .wp-block-uagb-image .wp-block-uagb-image__figure img {
        width: 100%;
    }
    .swiper-image-gallery .swiper-button-next,
    .swiper-image-gallery .swiper-button-prev {
        top: 24px !important;
        margin-top: 0;
        opacity: 1;
        transform: translateX(-100%);
        background: var(--wp--preset--color--white);
    }
    .swiper-image-gallery .swiper-button-prev {
        box-shadow: -15px 15px white, -15px 0px white;
        right: calc(24px + 47px) !important;
        z-index: 99999999;
    }
    .swiper-image-gallery .swiper-button-next {
        box-shadow: 15px 15px white, -15px 15px white;
        right: calc(24px) !important;
        z-index: 1;
    }

    .mobile-invert-block-order .img-text-block-wrapper > .wp-block-uagb-container:nth-child(1) {
        order: 2;
    }
    .mobile-invert-block-order .img-text-block-wrapper > .wp-block-uagb-container:nth-child(2) {
        order: 1;
    }

    .avantages-slider .swiper-slide {
        height: auto;
        align-self: stretch;
    }
    .avantages-slider .swiper-content {
        display: flex;
        height: 100%
    }

    /** Swiper chambres
     */
    .swiper-chambres.uagb-slider-container .uagb-swiper .swiper-wrapper .swiper-slide .swiper-content .chambre-wrapper .chambre-images .chambre-img img {
        height: 200px;
    }

}